package com.ym.mec.thirdparty.storage;

import java.io.File;
import java.io.IOException;

public interface StoragePlugin {
	
	String getName();

	/**
	 * 上传文件
	 * @param folderName 文件夹
	 * @param file 需要上传的文件
	 * @return 返回文件路径
	 */
	String uploadFile(String folderName, File file);

	/**
	 * 下载文件
	 * @param folderName 文件夹
	 * @param fileName 文件名称
	 * @return 返回文件内容
	 * @throws IOException
	 */
	byte[] getFile(String folderName, String fileName) throws IOException;
}
